

	//********************************************************************************************
 	//* Send various arithmetic expressions to the Math Co-processor for evaluation
	//********************************************************************************************

    while (1)
    {
  
 		 // Test 1 - Send the coprocessor command message that evaluates the RPN expression: sqrt(25.0)*3.0 + 2  = 17.0
 		SendCalculateCommand ((char *) "25.0H^3*b2+;");
 		//  Get Results into the floating point Results array where Results[0] is the answer to the first expression, etc. 
  		GetResults(Results);

		 // Test 2 - Send the coprocessor command message that evaluates the RPN expression: sin(radians(30)) = 0.5
 		SendCalculateCommand ((char *) "30.0RA;");
 		//  Get Results into the floating point Results array where Results[0] is the answer to the first expression, etc. 
  		GetResults(Results);

 		 // Test 3 - Send the coprocessor command message that evaluates the RPN expression: (3+4)/(8+6) = 0.5
 		SendCalculateCommand ((char *) "3^4+8^6+/");
  		//  Get Results into the floating point Results array where Results[0] is the answer to the first expression, etc. 
  		GetResults(Results);

	 	// Test 4 - Send the coprocessor command message that evaluates the RPN expression: (8-2)*(6+3)= 54.0
 		SendCalculateCommand ((char *) "8.0^2.0-^6.0^3.0+*");
 		//  Get Results into the floating point Results array where Results[0] is the answer to the first expression, etc. 
  		GetResults(Results);

	 	// Test 5 - Send the coprocessor command message that evaluates multiple RPN expressions from 
        //          Test 1 to Test 4: combined.
 		SendCalculateCommand ((char *) "25.0H^3*b2+;30.0RA;3^4+8^6+/;8.0^2.0-^6.0^3.0+*");
  		//  Get Results into the floating point Results array where Results[0] is the answer to the first expression, etc. 
  		GetResults(Results);
	}
